# Copy Link to Heading

This WordPress plugin adds a convenient feature to your site by enabling users to easily copy direct links to specific headings. Enhance the navigability of your content by allowing readers to share direct references to relevant sections with just a click.

## Features

- Automatically displays a copy link icon beside headings when hovered over.
- Fully customizable settings to choose the heading levels (H1, H2, etc.) where the links should appear.
- Supports selecting custom post types for the feature.
- Designed to seamlessly integrate into your theme without disrupting the existing design.
- Lightweight and optimized for performance.

## Installation

1. Download the plugin zip file from [WordPress.org](https://wordpress.org/plugins/copy-link-to-heading/).
2. Go to your WordPress admin dashboard.
3. Navigate to **Plugins > Add New** and click on **Upload Plugin**.
4. Upload the downloaded zip file and click **Install Now**.
5. Once installed, click **Activate** to enable the plugin.

## Usage

1. After activating the plugin, navigate to the **Settings > Copy Link to Heading** page in your WordPress dashboard.
2. Configure your desired settings, including selecting the heading levels and custom post types to apply the feature.
3. Save your settings, and the plugin will start working immediately on the selected pages or posts.

## Contributing

We welcome contributions! Feel free to fork this repository, make your changes, and create a pull request. For bug reports and feature requests, please visit the [issues section](https://github.com/josevarghese/copy-link-to-heading/issues).

### Known Issues

- Settings are not always retained after saving on the settings page. Custom post types may appear unselected upon revisiting the settings.
- On the frontend, the copy link icon may not display for certain custom post types like posts and pages.

These issues are tracked on GitHub. You can report bugs or track progress via the [issues section](https://github.com/josevarghese/copy-link-to-heading/issues).

## Development

To make modifications or build from source:

1. Clone the repository:
   ```bash
   git clone https://github.com/josevarghese/copy-link-to-heading.git
   ```
2. Make your changes to the codebase.
3. Test your changes locally.
4. Commit and push your updates.
5. Submit a pull request.

## Support

For any support, feature requests, or queries, please use the [WordPress support forum](https://wordpress.org/support/plugin/copy-link-to-heading/) or raise an issue in the [GitHub repository](https://github.com/josevarghese/copy-link-to-heading/issues).

## License

This plugin is open-source and licensed under the [GNU General Public License v2.0](https://www.gnu.org/licenses/gpl-2.0.html).
